Description

Ca serait bien d'utiliser le ConnectivityManager du telephone afin de savoir si on acces ou non a une connexion, avant de lancer une
tentative inutile.

Usefull Links :

e http:/dev.android.com/reference/android/net/ConnectivityManager.html
¢ http://dev.android.com/reference/android/net/NetworkInfo.html

Associated revisions

Revision 559:99¢587773311 - 12/04/2009 02:25 PM - Nikita Kozlov
feature #221:

Ajout d'une classe pour verifier la connection.
On verifie si on a le net au moment d'appuyer sur login.

Revision 559:99¢587773311 - 12/04/2009 02:25 PM - Nikita Kozlov
feature #221:

Ajout d'une classe pour verifier la connection.
On verifie si on a le net au moment d'appuyer sur login.

Revision 559:99¢587773311 - 12/04/2009 02:25 PM - Nikita Kozlov
feature #221:

Ajout d'une classe pour verifier la connection.
On verifie si on a le net au moment d'appuyer sur login.

History

#1 - 11/26/2009 09:54 PM - Nikita Kozlov

Petit exemple d'un autre projet ...
public static boolean isWifi() {

WifiManager wm = (WifiManager) mContext
.getSystemService (Context .WIFI_SERVICE) ;
WifiInfo wi = wm.getConnectionInfo();

if (wi != null)
Log.i("SipUA:", "isFast() "
+ WifiInfo.getDetailedStateOf (wi.getSupplicantState())

+ " " + cellAsu);
if (wi !'= null
&& (WifiInfo.getDetailedStateOf (wi.getSupplicantState()) == DetailedState.OBTAINING_IPADDR | |
WifiInfo
.getDetailedStateOf (wi.getSupplicantState()) == DetailedState.CONNECTED)) {

on_wlan = PreferenceManager.getDefaultSharedPreferences (mContext)
.getBoolean ("wlan", false);
return on_wlan;

}

on_wlan = false;

return on_wlan;
http://dev.android.com/reference/android/net/ConnectivityManager.html
http://dev.android.com/reference/android/net/NetworkInfo.html

public static boolean isUmts () {
TelephonyManager tm = (TelephonyManager) mContext
.getSystemService (Context .TELEPHONY_SERVICE) ;

if (!PreferenceManager.getDefaultSharedPreferences (mContext)

.getBoolean ("3g", false))
return false;

if (tm.getNetworkType () >= TelephonyManager.NETWORK_TYPE_UMTS)

return true;
return false;

}

public static boolean isEdge () {
TelephonyManager tm = (TelephonyManager) mContext
.getSystemService (Context .TELEPHONY_SERVICE) ;

if (tm.getNetworkType () == TelephonyManager.NETWORK_TYPE_EDGE)

return cellAsu >= minEdge;
return false;

#2 - 11/26/2009 09:57 PM - Frédéric Barthéléry

Nikita Kozlov wrote:
Petit exemple d'un autre projet ...

(-]

Peut etre enormement simplifier vu que nous on veut juste savoir si il y a du reseau.

#3 - 11/28/2009 12:35 PM - Nikita Kozlov

yep, c'était juste un bref copier/coller.

#4 - 11/30/2009 08:17 PM - Nikita Kozlov

- Assignee set to Nikita Kozlov

#5 - 12/04/2009 02:26 PM - Nikita Kozlov
- Status changed from New to Feedback

- % Done changed from 0 to 100

#6 - 12/05/2009 12:56 AM - Nikita Kozlov
- File installsamba4.sh added

#7 - 12/05/2009 12:57 AM - Nikita Kozlov
- File deleted (installsamba4.sh)

#8 - 12/05/2009 12:58 AM - Nikita Kozlov
- File new.patch added

#9 - 12/05/2009 01:00 AM - Nikita Kozlov
- File deleted (new.patch)

#10 - 12/21/2009 08:20 PM - Frédéric Barthéléry
- % Done changed from 100 to 90

Je pense que ca devrait plutot etre fait dans le service et non dans ['ui.

#11 - 12/29/2009 05:54 PM - Nikita Kozlov
- % Done changed from 90 to 100

Add of an Intent receiver in the service.
#12 - 03/13/2010 02:48 PM - Nikita Kozlov
- Status changed from Feedback to Closed

#13 - 04/21/2010 04:37 PM - Frédéric Barthéléry

- Target version changed from 0.2 to 0.1.3
